package com.acethewildfire.acesbs.util;

import com.acethewildfire.acesbs.AcesBS;
import net.minecraft.block.Block;
import net.minecraft.item.Item;
import net.minecraft.registry.RegistryKeys;
import net.minecraft.registry.tag.TagKey;
import net.minecraft.util.Identifier;

public class ModTags {

    public static class Blocks {
        public static final TagKey<Block> NEEDS_PRISMA_STEEL_TOOL = createTag("needs_prisma_steel_tool");
        public static final TagKey<Block> INCORRECT_FOR_PRISMA_STEEL_TOOL = createTag("incorrect_for_prisma_steel_tool");

        private static TagKey<Block> createTag(String name){
            return TagKey.of(RegistryKeys.BLOCK, Identifier.of(AcesBS.MOD_ID, name));
        }
    }

    public static class Items {
        public static final TagKey<Item> ENTROPY_CONVERTABLE = createTag("entropy_convertable");
        public static final TagKey<Item> PRISMA_CONVERTABLE = createTag("prisma_convertable");

        private static TagKey<Item> createTag(String name){
            return TagKey.of(RegistryKeys.ITEM, Identifier.of(AcesBS.MOD_ID, name));
        }
    }
}
